/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.math;

/**
 * Result of a distance calculation between two points
 * 
 * @author Matthias Betz
 *
 */
public class DistanceResult {

	private Vector3d point1;
	private Vector3d point2;
	private double distance;

	public DistanceResult(Vector3d point1, Vector3d point2, double distance) {
		super();
		this.point1 = point1;
		this.point2 = point2;
		this.distance = distance;
	}

	public Vector3d getPoint1() {
		return point1;
	}

	public Vector3d getPoint2() {
		return point2;
	}

	public double getDistance() {
		return distance;
	}

}
